Presence - CUPC problem

Unanswered Question
Apr 29th, 2010
User Badges:

Hi,


I've got a strange problem.

I've set up my presence server and a CUPC client on my mac.

It works just fine.


The CUPC client is created on my CCM as UPCFJWI which reflects my AD username

My MAC CUPC client is on 172.18.5.0/24 subnet


Then I've set up another CUPC client on two PCs, both on the same subnet as the formentioned.

But when I try to login with the same credentials as on the MAC, I get an error message saying


"Login Failed! Unable to connect to your login server"


The server health window on the client just states "Not Connected - Stopped" on the PC

On the mac however, it's all green.


Please advice, I'm using the exact same username and password as I am on the Mac client and I'm on the same subnet.

I'm sure there is just a tiny bit I've missed somewhere, but I seem to be uable to locate what that is.


Best regards,


Frank James Wilson

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
htluo Thu, 04/29/2010 - 05:05
User Badges:
  • Red, 2250 points or more

What version is the CUPC and what version is the CUPS?


Make sure your CUPS server is on 7.0.5 or above.  Lower version of CUPS might have an outdated SSL library that's not compatible with some CUPC clients.


Michael

http://htluo.blogspot.com

frankjameswilson Fri, 04/30/2010 - 00:12
User Badges:

I think you might just have nailed it.


Cisco Unified Presence System version: 7.0.4.10000-18

Working Windows CUPC Client: 7.0(2.13496)
Non Working CUPC Windows Client: 7.1(1.13850)

I'm going uninstall the 7.1 client and try with the 7.0 one on the mentioned workstations so see if this makes any difference.
I'm also downloading 7.0.7 of CUPS as we speak.

I'll get back to you as soon as I've got some test results in.

Cheers so far!
frankjameswilson Fri, 04/30/2010 - 01:49
User Badges:

That did it!


Once I installed the 7.0.2 version on the workstations in question, I could login and gain Desktop Phone Precense.


However on one of the workstations I now ran into another problem. I un-installed the 7.1 version and installed the 7.0.2 version, but when I try to run it it says "Can't find language resources" or something along those lines and tells me to re-install it.


This is on a Windows Vista WS. I did the same thing on a Windows XP WS and it worked just fine.

I've audited registery after uninstall on the vista WS and removed all CUPC entries but it will wont run at all.

Any ideas what this might be?


I'll upgrade to 7.0.7 in my next service window so the new clients should work as well.

Any ideas if the SSL issue will work backwards compatability wise?


Cheers!

htluo Fri, 04/30/2010 - 05:04
User Badges:
  • Red, 2250 points or more

Newer version of CUPS should compatible with lowser version of CUPC.


Regarding the installation issue, I'm not quite sure,  Sounds like security policy on the Vista needs to be tuned.  Did you log in as local administrator?  Did you turn off UAC?


Michael

http://htluo.blogspot.com

Actions

This Discussion